import React from 'react';
export interface IconProps extends React.SVGAttributes<SVGElement> {
    /**
     * Proportionally sets the width and height of the SVG element.
     * Explicit height and width will take precedence.
     * Defaults to 24.
     */
    size?: string | number;
    /**
     * Sets the radius of the background shape in Badge icons.
     * Has no effect on logo icons. Defaults to 8.
     */
    badgeRadius?: number;
}
export declare const Icon: React.ForwardRefExoticComponent<IconProps & React.RefAttributes<SVGSVGElement>>;
