import React from 'react'
import { createIcon } from '../createIcon'

export const DecentralandBadge = createIcon({
    rectFill: 'white',
    path: (
        <>
            <path
                d="M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z"
                fill="url(#DecentralandBadge_a)"
            ></path>
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M9.08496 8.5V16H15.335L9.08496 8.5Z"
                fill="url(#DecentralandBadge_b)"
            ></path>
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M2.83527 16H9.08527V8.5L2.83527 16Z"
                fill="white"
            ></path>
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M4 18C4.57 18.755 5.245 19.43 6 20H18C18.755 19.43 19.43 18.755 20 18H4Z"
                fill="#FC9965"
            ></path>
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M6 20C7.67 21.255 9.75 22 12 22C14.25 22 16.33 21.255 18 20H6Z"
                fill="#FF2D55"
            ></path>
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M15.415 12.5V18H20L15.415 12.5Z"
                fill="url(#DecentralandBadge_c)"
            ></path>
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M15.4153 16H2.83527C3.14527 16.715 3.54027 17.385 4.00027 18H15.4203V16H15.4153V16Z"
                fill="#FFBC5B"
            ></path>
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M10.8349 18H15.4149V12.5L10.8349 18Z"
                fill="white"
            ></path>
            <path
                d="M15.415 11C16.7957 11 17.915 9.88071 17.915 8.5C17.915 7.11929 16.7957 6 15.415 6C14.0343 6 12.915 7.11929 12.915 8.5C12.915 9.88071 14.0343 11 15.415 11Z"
                fill="#FFC95B"
            ></path>
            <path
                d="M9.08496 7C9.77532 7 10.335 6.44036 10.335 5.75C10.335 5.05964 9.77532 4.5 9.08496 4.5C8.39461 4.5 7.83496 5.05964 7.83496 5.75C7.83496 6.44036 8.39461 7 9.08496 7Z"
                fill="#FFC95B"
            ></path>
            <defs>
                <linearGradient
                    id="DecentralandBadge_a"
                    x1="19.071"
                    y1="4.929"
                    x2="4.929"
                    y2="19.071"
                    gradientUnits="userSpaceOnUse"
                >
                    <stop stopColor="#FF2D55"></stop>
                    <stop offset="1" stopColor="#FFBC5B"></stop>
                </linearGradient>
                <linearGradient
                    id="DecentralandBadge_b"
                    x1="12.2078"
                    y1="8.5"
                    x2="12.2078"
                    y2="16"
                    gradientUnits="userSpaceOnUse"
                >
                    <stop stopColor="#A524B3"></stop>
                    <stop offset="1" stopColor="#FF2D55"></stop>
                </linearGradient>
                <linearGradient
                    id="DecentralandBadge_c"
                    x1="17.706"
                    y1="12.5"
                    x2="17.706"
                    y2="18"
                    gradientUnits="userSpaceOnUse"
                >
                    <stop stopColor="#A524B3"></stop>
                    <stop offset="1" stopColor="#FF2D55"></stop>
                </linearGradient>
            </defs>
        </>
    ),
})
